#version 440 core
layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BrightColor;

in vec2 TexCoords;

uniform sampler2D texture1;

void main()
{    

    if (texture(texture1, TexCoords).a < 0.1)
		discard;
    FragColor = texture(texture1, TexCoords);

    
    BrightColor = vec4(0.0, 0.0, 0.0, 1.0);
   
}